body {
    font-family: Arial, sans-serif;
}

#custom_interface {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0px;
	left: 0px;
	border: 0;	
	}

/* Стиль кнопок дочерних элементов привязанных к пустышкам */
.button_element {
	width: 25px;
    height: 25px;
	transform: translate(-50%, -50%);	
	border: 1px solid rgba(255, 255, 255, 0.8);	
	background: radial-gradient(circle at center, #7493d7 0%, #395594 100%);
	box-shadow: 0 0 5px 3px rgba(0, 136, 255, 0.5);	
    border-radius: 50%;
    display: none;
    justify-content: center;
    align-items: center;    
	cursor: pointer;
	user-select: none;
	animation: pulse 2s infinite ease-in-out;	
	will-change: transform;  /* Оптимизация производительности */
    }

@keyframes pulse {
    0%, 100% {
        transform: translate(-50%, -50%) scale(1); /* Исходный размер */
    }
    50% {
        transform: translate(-50%, -50%) scale(0.9); /* Уменьшенный размер */
    }	
	}
	
.parent_element {
	position: fixed;
	width: 0px;
	height: 0px;
 }
	
	
/* Стиль изображений вложенных в кнопки, задается в файле index */
.button_element img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 50%; /* Соответствие форме основного элемента */
    pointer-events: none; /* Изображение не перехватывает события */
}

.main_menu {
	position: absolute;
    top: 0;
    right: 0;
	display: flex;
	flex-direction: column;
	margin:5px;
}	
	
/* Кнопки для верхнего правого меню */
.menu_button {
	width: 50px;
    height: 50px;
	margin: 5px;
	cursor:pointer;
	background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
	display: none;
}
	
/* Изображения в кнопках верхнего правого меню */
#fullscreen_button {
	background-image: url('media/fullscreen_open.svg');
	}	
	
	
.panel_text {
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    width: 25%;
    height: auto;
    padding: 5px;
    border-radius: 5px;
    display: none;
    /* Эффект матового стекла */
    background: rgba(255, 255, 255, 0.9); /* Полупрозрачный белый фон */
    backdrop-filter: blur(10px); /* Фильтр размытия заднего фона */
    -webkit-backdrop-filter: blur(10px); /* Для поддержки в Safari */
    border: 1px solid rgba(255, 255, 255, 0.3); /* Полупрозрачная граница */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3); /* Легкая тень для глубины */
}
.text {
    width: auto;
    height: auto;
    margin: 5px;
    padding: 5px;
    text-align: left; /* Выравнивание текста по левому краю */
}
/* Уменьшение отступов сверху и снизу для всех параграфов */
.text p {
    margin-top: 0px;  /* Отступ сверху */
    margin-bottom: 3px;  /* Отступ снизу */
    line-height: 1.5;  /* Межстрочный интервал */
}

/* Для вертикальной ориентации экрана */
@media (orientation: portrait) {
    .panel_text {
		background: rgba(255, 255, 255, 0.9); /* Полупрозрачный белый фон */
        position: fixed;
        bottom: 0;
        width: 100%;
        height: auto;
        left: 0;
        padding: 0px;
        top: auto;
        transform: translateY(0);
        border-radius: 0px;
        flex-direction: row;
        justify-content: space-between;
        box-sizing: border-box;
        overflow: hidden; /* Ограничиваем переполнение */
    }


    .text {
        width: 100%; /* Текст занимает оставшиеся 60% ширины */
        height: auto;
        margin: 0;
        padding: 5px;
        overflow-y: auto; /* Прокрутка текста */
        display: flex;
        flex-direction: column;
        justify-content: flex-start; /* Текст начинается с верхней части */
        box-sizing: border-box;
    }
	
    .text p {
        margin-top: 0px;
        margin-bottom: 0px;
        line-height: 1.2;
		font-size: 14px;
    }
}

@media (max-height: 550px) {
	.panel_text {
	left:0px;
    height: 100%;
	overflow-y: auto;   
	scroll-behavior: smooth;
	max-width:30%;
	margin-top:5px;
	margin-bottom:5px;
	}
	.text {
    width: 90%;
	}
	.text p {
        margin-top: 0px;
        margin-bottom: 0px;
        line-height: 1.2;
		font-size: 14px;
    }
}

@media (max-width: 768px) {
    .button_element {
        width: 20px;
        height: 20px;
    }
	.menu_button {
		width: 40px;
		height: 40px;
		margin: 3px;
	}
}